/**
 * JavaScript helper for Advanced link filter.
 */
Drupal.behaviors.advlf = function(context) {
  if (Drupal.settings.advlf) {
    
    // Processes external links, to have them opened in a new window.
    if (Drupal.settings.advlf.external) {
      $('a[rel*=external]:not(.advlf-external-processed)')
        .addClass('advlf-external-processed')
        .bind('click', function() {
          window.open($(this).attr('href'));
          return false;
        });
    }
  }
};
